Academic Company Events Community Support Solutions Products & Services Contact NI MyNI
53 ratings:
 3.52 out of 5   

Archived: Using Older Versions of NI-DAQ (6.9.3) with LabVIEW 7.x or 8.x

This document has been archived and is no longer updated by National Instruments

Note: This page is about NI-DAQ also known as Traditional NI-DAQ (Legacy). NI-DAQmx replaced Traditional NI-DAQ (Legacy) in 2003. NI strongly recommends using NI-DAQmx for new designs and migrating existing Traditional NI-DAQ (Legacy) applications to NI-DAQmx. Please review the Getting Started with NI-DAQmx guide for more information on migration.


Primary Software:
Primary Software Version: 7.0
Primary Software Fixed Version: N/A
Secondary Software: N/A

Problem:
I installed LabVIEW 7.x or 8.x and need to use an older version of the NI-DAQ driver than what comes on the device drivers CD. Is there any way to use an older version of NI-DAQ, such as 6.9.3, with LabVIEW 7.x or 8.x?

Solution:
Do not install NI-DAQmx or Traditional NI-DAQ over existing NI-DAQ software if you are upgrading existing applications that contain a device not supported in NI-DAQ 7.x and later. You must use NI-DAQ version 6.9.x or earlier to program these devices. The NI-DAQ 7.x Read-Me file contains a list of products which are not supported and will not be supported in future versions of NI-DAQ.

I have not yet installed NI-DAQmx or Traditional NI-DAQ 7.x or later. How do I install NI-DAQ 6.9.3 to support my legacy device?
  1. Launch the NI-DAQ setup program. Run the installer on the NI-DAQ 6.9.3 CD, or download the NI-DAQ 6.9.3 installer from our website (see below: Related Links). Make sure you read the installation instructions explaining which files are necessary and where to install them. The file explains the need to download the LabVIEW 6.1 English Installation Component (LV61Eng.exe for English language installations). Make sure you download both the Nidaq6.9.3.exe and LV61Eng.exe into the same folder.

  2. Double click on the NIdaq693.exe and LV61Eng.exe to extract the files. Run the Setup.exe file (computer icon) to start the installation.
  3. From the NI-DAQ 6.9.3 Feature Tree window, select LabVIEW 6.1 Support. Left click on LabVIEW 6.1 and select Install this feature and sub_features to the local hardware.
  4. With LabVIEW 6.1 highlighted, change the Target Directory at the bottom of the screen to point to your LabVIEW 7.x or 8.x directory. To install DAQ support for LabVIEW 7.1, for example, browse and point the Target Directory to C:\Program Files\National Instruments\LabVIEW 7.1\. This will set the LabVIEW 6.1 Support in the LabVIEW 7.1 directory.
  1. Before you start the installation you will see a screen detailing that the NI-DAQ 6.9.3 Device Driver and LabVIEW 6.1 Support will be added or changed.
After restarting your computer you will find the DAQ Palette and DAQ Examples merged into LabVIEW 7.x or 8.x.

Notes: The above steps are only a work-around to support your legacy device. It is best that your hardware be upgraded to a device supported by our most recent driver. You cannot have NI-DAQ 6.9.3 and NI-DAQmx installed on the same computer.

I have installed NI-DAQmx or Traditional NI-DAQ 7.x or later. How do I install NI-DAQ 6.9.3 to support my legacy device?
  1. Go to the Windows Add/Remove Programs in the Control Panel.
  2. Choose to remove NI-DAQ Traditional, NI-DAQmx, and NI Measurement & Automation Explorer from the National Instruments Software folder. There may be dependent products which you will also have to remove.
  3. After uninstalling the above software, reboot your computer and perform steps 1 through 4 listed above.
Warning: Do not attempt to install an earlier version of Traditional NI-DAQ than 6.9.3 on LabVIEW 8.5.  LabVIEW will become inoperable if this is done.

Related Links:
Drivers and Updates: Traditional NI-DAQ (Legacy) Version 6.9.3 for Windows 2000/95/98/ME/NT/XP
KnowledgeBase 20K8OVKN: Installing LabVIEW 7.1 with an Earlier Version of LabVIEW on the Same System
KnowledgeBase 31EGTRW0: How Do I Install an Older Version of NI-DAQ (6.9.3) to Both LabVIEW 7.0 and LabVIEW 6.1
KnowledgeBase 3PIA89N5: NI-DAQ & LabVIEW Version Compatibility (for Windows)

Attachments:


Feature_Tree.GIF


Report Date: 05/22/2003
Last Updated: 08/26/2011
Document ID: 2XLD41Q8

Your Feedback! poor Poor  |  Excellent excellent   Yes No
 Document Quality? 
 Answered Your Question? 
  1 2 3 4 5
Please Contact NI for all product and support inquiries.submit